<?php
declare (strict_types = 1);
namespace ProxyPay\Core;

class AjaxResponse extends Result implements \JsonSerializable
{
	#[\ReturnTypeWillChange]
	public function jsonSerialize()
	{
		return [
			'success' => $this->success,
			'error'   => implode("\n", $this->errors),
			'data'    => $this->data,
		];
	}
}
